device_type: ifc6410
job_name: Snapdragon IFC6410 test
timeouts:
  job:
    minutes: 10
  action:
    minutes: 5
  connection:
    minutes: 2
  connections:
    lava-test-shell:
      seconds: 10

priority: medium
visibility: public

metadata:
  build: '14.11'
  series: integration-ifc6410

notify:
  criteria:
    status: incomplete
  verbosity: quiet
  recipients:
  - to:
     user: default
     method: email

protocols:
  lava-lxc:
    name: lxc-snap-ubuntu
    template: debian
    distribution: debian
    release: buster

actions:
- deploy:
    namespace: tlxc
    timeout:
      minutes: 10
    to: lxc
    packages:
    - fastboot
    os: debian

- boot:
    namespace: tlxc
    prompts:
    - 'root@(.*):/#'
    - 'hikey:/'
    timeout:
      minutes: 5
    method: lxc

- deploy:
    timeout:
      minutes: 5
    to: fastboot
    namespace: droid
    connection: lxc
    images:
      boot:
        url: http://images.validation.linaro.org/ifc6410/14.11/boot-qcom-apq8064-ifc6410-qcom-snapdragon-20141126-56.img.gz
        compression: gz
      userdata:
        url: http://images.validation.linaro.org/ifc6410/14.11/linaro-utopic-developer-qcom-snapdragon-20141126-56.img.gz
        compression: gz
      system:
        url: http://images.validation.linaro.org/ifc6410/14.11/firmware-qcom-snapdragon-20141126-56.img.gz
        compression: gz
    os: ubuntu

- boot:
    namespace: droid
    prompts:
    - 'root@linaro-developer:'
    timeout:
      minutes: 5
    method: fastboot
    transfer_overlay:
      download_command: cd /tmp ; wget
      unpack_command: tar -C / -xzf

- test:
    namespace: droid
    timeout:
      minutes: 5
    definitions:
    - from: inline
      repository:
        metadata:
          format: Lava-Test Test Definition 1.0
          name: basic-tests
          description: "Basic filesystem checks"
        run:
          steps:
          - lava-test-case df --shell df
          - lava-test-case uname --shell uname -a
          - lava-test-case ls --shell ls /
          - lava-test-case mount --shell mount
      name: ifc6410-inline
      path: inline/basic.yaml
    - repository: http://git.linaro.org/lava-team/lava-functional-tests.git
      from: git
      path: lava-test-shell/smoke-tests-basic.yaml
      name: smoke-tests-basic-droid

- test:
    namespace: tlxc
    timeout:
      minutes: 5
    definitions:
    - repository: http://git.linaro.org/lava-team/lava-functional-tests.git
      from: git
      path: lava-test-shell/smoke-tests-basic.yaml
      name: smoke-tests-basic-ubuntu
    - repository: http://git.linaro.org/lava-team/lava-functional-tests.git
      from: git
      path: lava-test-shell/single-node/singlenode02.yaml
      name: singlenode-intermediate

